**Source URL:** https://general.veevavault.dev/clinical/vault-api/api-reference/22.3/documents/export-documents/export-documents

# Export Documents

Use this request to export a set of documents to your Vault's [file staging server](/clinical/vault-api/guides/file-staging).

<Endpoint path="/api/{version}/objects/documents/batch/actions/fileextract" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The `id` value of the document(s) to export. |
</FieldTable>

## Query Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `source` | Optional: To exclude source files, include a query parameter `source=false`. If omitted, defaults to `true`. |
| `renditions` | Optional: To include renditions, include a query parameter `renditions=true`. If omitted, defaults to `false`. |
| `allversions` | Optional: To include all versions or latest version, include a query parameter `allversions=true`. If omitted, defaults to `false`. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
--data-binary @"C:\Vault\Documents\export_documents.json" \
https://myvault.veevavault.com/api/v17.3/objects/documents/batch/actions/fileextract?source=true&renditions=false&allversions=true
```
</CodeExample>

## Example Body

<CodeExample title="">
```json
[{"id": "58"}, {"id":"134"}, {"id":"122"}]
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "url": "/api/v17.3/services/jobs/36203",
    "job_id": "36203"
}
```
</CodeExample>

## Response Details

On SUCCESS, the response includes the following information:

---

**Previous:** [Export Documents](/clinical/vault-api/api-reference/22.3/documents/export-documents)  
**Next:** [Export Document Versions](/clinical/vault-api/api-reference/22.3/documents/export-documents/export-document-versions)